> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a beneficiary

Delete a single beneficiary by beneficiary ID

<Warning>Does not delete or cancel existing payments initiated towards the beneficiary.</Warning>


## OpenAPI

````yaml /openapi.json delete /beneficiaries/{beneficiary_id}
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /beneficiaries/{beneficiary_id}:
    parameters:
      - $ref: '#/components/parameters/BeneficiaryId'
      - $ref: '#/components/parameters/ClientId'
      - $ref: '#/components/parameters/Authorization'
      - $ref: '#/components/parameters/XContactID'
    delete:
      tags:
        - Beneficiaries
      summary: Delete a beneficiary
      description: Delete a beneficiary by beneficiary's identifier.
      operationId: beneficiary_delete
      responses:
        '204':
          $ref: '#/components/responses/BeneficiaryDeleted'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/BeneficiaryOrClientNotFound'
        '502':
          $ref: '#/components/responses/IntegrationError'
components:
  parameters:
    BeneficiaryId:
      description: The identifier of a beneficiary.
      in: path
      name: beneficiary_id
      required: true
      schema:
        type: string
    ClientId:
      description: The identifier of a client.
      in: query
      name: client_id
      required: true
      schema:
        type: string
    Authorization:
      description: The access token.
      in: header
      name: Authorization
      required: true
      schema:
        type: string
    XContactID:
      description: The identifier of a contact.
      in: header
      name: X-Contact-ID
      required: false
      schema:
        type: string
  responses:
    BeneficiaryDeleted:
      description: Beneficiary deleted.
    ValidationError:
      description: >-
        Formatting, parameter or schema validation error. See error message for
        further details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Unauthorized:
      description: Access denied due to authentication failure.
    Forbidden:
      description: >-
        Could not complete action due to data constraints. Refer to error
        message for additional details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    BeneficiaryOrClientNotFound:
      description: Beneficiary or client identifier not found.
    IntegrationError:
      description: Internal integration error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
  schemas:
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````